org.keycloak.services.clientpolicy.executor

## Class AbstractAugumentingClientRegistrationPolicyExecutor

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor

- All Implemented Interfaces:
    Provider, ClientPolicyExecutorProvider
  Direct Known Subclasses:
    PKCEEnforceExecutor, SecureClientAuthEnforceExecutor

      public abstract class AbstractAugumentingClientRegistrationPolicyExecutor
      extends Object
      implements ClientPolicyExecutorProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ComponentModel` | `componentModel`
    `protected static String` | `IS_AUGMENT`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAugumentingClientRegistrationPolicyExecutor(KeycloakSession session, ComponentModel componentModel)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `augment(ClientRepresentation rep)` overrides the client settings specified by the argument.
    `void` | `executeOnEvent(ClientPolicyContext context)` execute actions against the client on the event defined in `ClientPolicyEvent`.
    `String` | `getName()`
    `String` | `getProviderId()`
    `protected abstract void` | `validate(ClientRepresentation rep)` validate the client settings specified by the argument to check whether they follows what the executor expects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorProvider

      `close`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### IS_AUGMENT

          protected static final String IS_AUGMENT

      See Also:
        Constant Field Values

    - #### session

          protected final KeycloakSession session

    - #### componentModel

          protected final ComponentModel componentModel

  - ### Constructor Detail

    - #### AbstractAugumentingClientRegistrationPolicyExecutor

          public AbstractAugumentingClientRegistrationPolicyExecutor(KeycloakSession session,
                                                                     ComponentModel componentModel)

  - ### Method Detail

    - #### executeOnEvent

          public void executeOnEvent(ClientPolicyContext context)
                              throws ClientPolicyException

      Description copied from interface: `ClientPolicyExecutorProvider`
      execute actions against the client on the event defined in `ClientPolicyEvent`.
      Specified by:
        `executeOnEvent` in interface `ClientPolicyExecutorProvider`
      Parameters:
        `context` - - the context of the event.
      Throws:
        `ClientPolicyException`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ClientPolicyExecutorProvider`

    - #### getProviderId

          public String getProviderId()

      Specified by:
        `getProviderId` in interface `ClientPolicyExecutorProvider`

    - #### augment

          protected abstract void augment(ClientRepresentation rep)

      overrides the client settings specified by the argument.
      Parameters:
        `rep` - - the client settings

    - #### validate

          protected abstract void validate(ClientRepresentation rep)
                                    throws ClientPolicyException

      validate the client settings specified by the argument to check whether they follows what the executor expects.
      Parameters:
        `rep` - - the client settings
      Throws:
        `ClientPolicyException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.